Package Details: nodejs-mkdirp 0.5.1-1

Git Clone URL: https://aur.archlinux.org/nodejs-mkdirp.git (read-only)
Package Base: nodejs-mkdirp
Description: Recursively mkdir, like mkdir -p, but in node.js
Upstream URL: https://github.com/substack/node-mkdirp
Licenses: MIT
Provides: nodejs-mkdirp
Submitter: aboe
Maintainer: aboe
Last Packager: aboe
Votes: 27
Popularity: 0.001589
First Submitted: 2014-02-06 19:52
Last Updated: 2015-09-07 17:41

Latest Comments

aboe commented on 2015-09-07 17:41

@donny, done

donny commented on 2015-09-07 17:34

Can you update the package() function in similair way as seen in others nodejs-* AUR packages?

package() {
# ...

rmdir "${pkgdir}/usr/etc"
}

aboe commented on 2015-06-15 20:38

@wlritchi, done, added npm as dep

wlritchi commented on 2015-06-15 18:09

This package should depend on npm.

aboe commented on 2014-12-18 20:26

@brisbin33, sorry fixed forgot to update the .AURINFO file

brisbin33 commented on 2014-12-18 13:51

FYI: The version on the AUR is 0.5.0-1 but the PKGBUILD builds 0.5.0-2.

qqqqqqqqq9 commented on 2014-11-22 17:10

The sources-array looks rather strange.

aboe commented on 2014-10-06 18:49

@niufox,
done added the lines. and updated to 0.5.0

niufox commented on 2014-08-14 14:07

出现npm ERR! Error: UNABLE_TO_VERIFY_LEAF_SIGNATURE
npm ERR! at SecurePair.<anonymous> (tls.js:1367:32)
npm ERR! at SecurePair.emit (events.js:92:17)
npm ERR! at SecurePair.maybeInitFinished (tls.js:979:10)
npm ERR! at CleartextStream.read [as _read] (tls.js:471:13)
npm ERR! at CleartextStream.Readable.read (_stream_readable.js:340:10)
npm ERR! at EncryptedStream.write [as _write] (tls.js:368:25)
npm ERR! at doWrite (_stream_writable.js:225:10)
npm ERR! at writeOrBuffer (_stream_writable.js:215:5)
npm ERR! at EncryptedStream.Writable.write (_stream_writable.js:182:11)
npm ERR! at write (_stream_readable.js:601:24)
npm ERR! at flow (_stream_readable.js:610:7)
npm ERR! at Socket.pipeOnReadable (_stream_readable.js:642:5)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR! <http://github.com/npm/npm/issues>

需要修改:

# Maintainer: aboe76 AT gmail DOT com>

pkgname=nodejs-mkdirp
_npmname=mkdirp
pkgver=0.3.5
pkgrel=1
pkgdesc="Recursively mkdir, like mkdir -p, but in node.js"
arch=('any')
depends=('nodejs')
url="https://github.com/substack/node-mkdirp"
license=('MIT')
provides=('nodejs-mkdirp')

package() {
local _npmdir="$pkgdir/usr/lib/node_modules/"
mkdir -p $_npmdir
cd $_npmdir
npm config set strict-ssl false #加上 add this line
npm install --user root -g --prefix "$pkgdir/usr" $_npmname@$pkgver
npm config set strict-ssl true #加上 add this line
}